package com.inspur.mapper;

import com.inspur.domain.ElevatorPersonInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 人员信息Mapper接口
 *
 * @author inspur
 * @date 2024-09-30
 */
public interface ElevatorPersonInfoMapper
{
    /**
     * 查询人员信息
     *
     * @param id 人员信息主键
     * @return 人员信息
     */
    public ElevatorPersonInfo selectElevatorPersonInfoById(Long id);

    /**
     * 查询人员信息列表
     *
     * @param elevatorPersonInfo 人员信息
     * @return 人员信息集合
     */
    public List<ElevatorPersonInfo> selectElevatorPersonInfoList(ElevatorPersonInfo elevatorPersonInfo);

    /**
     * 新增人员信息
     *
     * @param elevatorPersonInfo 人员信息
     * @return 结果
     */
    public int insertElevatorPersonInfo(ElevatorPersonInfo elevatorPersonInfo);

    /**
     * 修改人员信息
     *
     * @param elevatorPersonInfo 人员信息
     * @return 结果
     */
    public int updateElevatorPersonInfo(ElevatorPersonInfo elevatorPersonInfo);

    /**
     * 删除人员信息
     *
     * @param id 人员信息主键
     * @return 结果
     */
    public int deleteElevatorPersonInfoById(Long id);

    /**
     * 批量删除人员信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteElevatorPersonInfoByIds(Long[] ids);

    /**
     * 根据电梯id查询人员信息
     * @param elevatorId
     * @return
     */
    public List<ElevatorPersonInfo> selectElevatorPersonInfoByElevatorId(@Param("elevatorId") String elevatorId);

    /**
     * 根据电梯deviceId删除关联人员
     * @param deviceId
     */
    public void deleteElevatorPersonInfoByDeviceId(@Param("deviceId") String deviceId);
}
